Bug 226948 - [JSC] Add ValueOf fast path in toPrimitive
Summary: [JSC] Add ValueOf fast path in toPrimitive
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on: 227416 227418 227419
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-11 18:27 PDT by Yusuke Suzuki
Modified: 2021-06-25 21:15 PDT (History)
9 users (show)

See Also:


Attachments
Patch (2.44 KB, patch)
2021-06-11 18:28 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (3.67 KB, patch)
2021-06-18 23:57 PDT, Yusuke Suzuki
ross.kirsling: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2021-06-11 18:27:46 PDT
[JSC] Add ValueOf fast path in toPrimitive
Comment 1 Yusuke Suzuki 2021-06-11 18:28:16 PDT
Created attachment 431248 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2021-06-18 18:28:26 PDT
<rdar://problem/79515947>
Comment 3 Yusuke Suzuki 2021-06-18 23:57:57 PDT
Created attachment 431789 [details]
Patch
Comment 4 Ross Kirsling 2021-06-19 14:15:02 PDT
Comment on attachment 431789 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=431789&action=review

r=me

> Source/JavaScriptCore/ChangeLog:13
> +            value-of-call        65.7169+-0.6192     ^     45.0986+-0.0830        ^ definitely 1.4572x faster

The name of benchmark should probably indicate that it's not just valueOf but rather "valueOf via toPrimitive".
Comment 5 Yusuke Suzuki 2021-06-20 02:45:08 PDT
(In reply to Ross Kirsling from comment #4)
> Comment on attachment 431789 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=431789&action=review
> 
> r=me
> 
> > Source/JavaScriptCore/ChangeLog:13
> > +            value-of-call        65.7169+-0.6192     ^     45.0986+-0.0830        ^ definitely 1.4572x faster
> 
> The name of benchmark should probably indicate that it's not just valueOf
> but rather "valueOf via toPrimitive".

Thanks, changed.
Comment 6 Yusuke Suzuki 2021-06-20 02:48:13 PDT
Committed r279053 (238973@main): <https://commits.webkit.org/238973@main>
Comment 7 Yusuke Suzuki 2021-06-25 17:50:38 PDT
Will use this patch for webkitbot test. Please ignore following messages.
Comment 8 WebKit Commit Bot 2021-06-25 17:55:43 PDT
Re-opened since this is blocked by bug 227416
Comment 9 WebKit Commit Bot 2021-06-25 21:14:17 PDT
Re-opened since this is blocked by bug 227419